You are here

Audacity: LAME/FFmpeg deleted on upgrade

8 posts / 0 new
Last post
voyagerfan5761
voyagerfan5761's picture
Offline
Last seen: 11 years 4 months ago
Joined: 2008-12-14 23:14
Audacity: LAME/FFmpeg deleted on upgrade

So apparently installing a newer version of Audacity Portable (or reinstalling the existing version) wipes the LAME and FFmpeg libraries in the /App folder.

How LAME. (Sorry)

In a future release, it would be great to have these directories either excluded from the "delete old version" routine in the installer or have the portable app read them from the /Data directory instead so they aren't wiped on upgrade.

Simeon
Simeon's picture
Offline
Last seen: 7 years 9 months ago
DeveloperTranslator
Joined: 2006-09-25 15:15
Yes

same here. this could be marked as a [Bug].

"What about Love?" - "Overrated. Biochemically no different than eating large quantities of chocolate." - Al Pacino in The Devils Advocate

tapsklaps
Offline
Last seen: 3 years 9 months ago
Developer
Joined: 2010-10-17 08:11
obviously a bug

I also confirm this problem

John T. Haller
John T. Haller's picture
Offline
Last seen: 1 hour 58 min ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Already Known

It's already known: https://portableapps.com/node/24052

It'll be fixed with the next update. But there hasn't been another Audacity release in one year (as of next Friday), so anyone that needs to upgrade has already long-ago upgraded.

Sometimes, the impossible can become possible, if you're awesome!

solanus
solanus's picture
Offline
Last seen: 7 years 9 months ago
Joined: 2006-01-21 19:12
This is a simple fix by the dev

This rev of the PortableApp does NOT include an installer.ini file, which lists the folders that do not get replaced during an upgrade. If a Rev 3 were created that includes an installer.ini file, it would fix the problem. Hopefully, we aren't waiting for a new version of Audacity, because they aren't known for rapid releases!!

Here's a weird thing in the way this is set up: the AudacityPortable.ini in the Launcher folder forces the audacity.cfg file to redirect the folders to the App/ folder, even if you want to put them into the Data folder. Now if you could just put the libraries into the Data folder to begin with, it wouldn't have been an issue, because the Data folders are preserved by default during upgrade...

I made this half-pony, half-monkey monster to please you.

tapsklaps
Offline
Last seen: 3 years 9 months ago
Developer
Joined: 2010-10-17 08:11
adapted version

Due to the advices of solanus I have create a special version, in which the described bug is removed. If anyone try to test it, here the link for the download: AudacityModPortable_1.3.12_Rev_2.paf.exe (MD5=686f3ce99b588242bac47567359966c3). Both libraries must placed in the folders "LAME" and "FFmpeg", which resides in the DefaultData directory.

However the argument of John is also true, that in the moment nobody needs to upgrade, because there is no newer release.

John T. Haller
John T. Haller's picture
Offline
Last seen: 1 hour 58 min ago
AdminDeveloperModeratorTranslator
Joined: 2005-11-28 22:21
Why

What does this do at all? It won't be upgradeable to newer releases, so it's kinda pointless. And it violates PAF specs by requiring stuff in DefaultData.

Sometimes, the impossible can become possible, if you're awesome!

solanus
solanus's picture
Offline
Last seen: 7 years 9 months ago
Joined: 2006-01-21 19:12
At least then we should list

At least then we should list this bug in the "Known Issues" section of the Audacity Portable page.

I made this half-pony, half-monkey monster to please you.

Log in or register to post comments